#ifndef OPPSTOREBROKER_H_
#define OPPSTOREBROKER_H_

#include <vector>
#include <string>

#ifdef __cplusplus
extern "C"{
#endif

int launchBroker();

int storeData(char * & key, void *data, long dataSize, void(*appCallback)(int));

int storeDataW(char * & key, void *data, long dataSize, void(*appCallback)(int));

int retrieveDataW(const char * key, void * & data, long & dataSize, void(*appCallback)(int));

/**
 * Used only for experiments
 */
int setAllowedAdrs(std::vector<std::string> & allowedAdrs);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /*OPPSTOREBROKER_H_*/
